using System.Text.Json.Serialization;

namespace Yi.Framework.AiHub.Domain.Managers.Fuwuhao;

/// <summary>
/// 用户信息响应对象
/// </summary>
public class UserInfoResponse
{
    /// <summary>
    /// 用户OpenID
    /// </summary>
    [JsonPropertyName("openid")]
    public string OpenId { get; set; }
    
    /// <summary>
    /// 用户昵称
    /// </summary>
    [JsonPropertyName("nickname")]
    public string Nickname { get; set; }
    
    /// <summary>
    /// 用户性别，值为1时是男性，值为2时是女性，值为0时是未知
    /// </summary>
    [JsonPropertyName("sex")]
    public int Sex { get; set; }
    
    /// <summary>
    /// 用户个人资料填写的省份
    /// </summary>
    [JsonPropertyName("province")]
    public string Province { get; set; }
    
    /// <summary>
    /// 普通用户个人资料填写的城市
    /// </summary>
    [JsonPropertyName("city")]
    public string City { get; set; }
    
    /// <summary>
    /// 国家，如中国为CN
    /// </summary>
    [JsonPropertyName("country")]
    public string Country { get; set; }
    
    /// <summary>
    /// 用户头像，最后一个数值代表正方形头像大小（有0、46、64、96、132数值可选，0代表640*640正方形头像）
    /// </summary>
    [JsonPropertyName("headimgurl")]
    public string HeadImgUrl { get; set; }
}